Subject: Re: [PATCH 0/2] bonding: couple of bug fixes

From: Nikolay Aleksandrov <[email-masked]>
Date: Tue, 11 Jun 2013 18:50:00 +0200

On 11/06/13 18:42, Jay Vosburgh wrote:
> David Miller <[email-masked]> wrote:
> 
>> From: [email-masked]
>> Date: Thu,  6 Jun 2013 13:55:00 +0200
>>
>>> From: Nikolay Aleksandrov <[email-masked]>
>>>
>>> Hello,
>>> Patch 01 resets the master's mac if the first enslave fails and the slave's
>>> mac was set to the master's prior.
>>> Patch 02 fixes a type bug of igmp_retrans (which is the counter of igmp_resend
>>> param and was silently not working if the value was >127) so it can go up to 255
>>> (as per documentation). It also fixes two tricky race conditions which were
>>> hidden because of the previous bug.
>>
>> There was some minor back and forth between Jay and Nikolay on this set,
>> but I'd like to see some ACKs before applying this stuff.
> 
> 	I'm fine with the code changes, although I think a description
> of the three way race that Nikolay described in his last email should be
> in the log message, perhaps along with a brief description of what
> conditions would trigger the problem.
> 
> 	With the above caveat:
> 
> Signed-off-by: Jay Vosburgh <[email-masked]>
> 
> 	-J
> 
> ---
> 	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

Thanks for the review Jay.
Dave how would you like me to handle this ? Should I resubmit a v2 with
updated commit message or just a reply with new commit message will
suffice ?

Nik